# accounting-service-api.model.AccountingDocumentDetailMobileDTO

## Load the model package
```dart
import 'package:accounting-service-api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | [optional] 
**active** | **bool** |  | [optional] 
**sequentialNumber** | **String** |  | [optional] 
**originalDocumentNumber** | **String** |  | [optional] 
**accountingUnitId** | **int** |  | 
**documentDefinitionId** | **int** |  | 
**globalChartAccounts** | [**DocumentChartAccountDTO**](DocumentChartAccountDTO.md) |  | [optional] 
**documentDefinitionName** | **String** |  | [optional] 
**documentDefinitionType** | **String** |  | [optional] 
**documentDefinitionDirection** | **String** |  | [optional] 
**userDirection** | **String** |  | [optional] 
**paymentStatus** | **String** |  | [optional] 
**documentStatus** | **String** |  | 
**accountingStatus** | **String** |  | [optional] 
**creationType** | **String** |  | [optional] 
**periodicity** | **String** |  | [optional] 
**periodicFrom** | [**DateTime**](DateTime.md) |  | [optional] 
**periodicTo** | [**DateTime**](DateTime.md) |  | [optional] 
**isProcessedPeriodically** | **bool** |  | [optional] 
**autoSendEmail** | **bool** |  | [optional] 
**autoSendPostOffice** | **bool** |  | [optional] 
**autoSent** | [**DateTime**](DateTime.md) |  | [optional] 
**isCreatedByVatPayer** | **bool** |  | [optional] 
**isDuplicable** | **bool** |  | [optional] 
**isCancellable** | **bool** |  | [optional] 
**isReimbursable** | **bool** |  | [optional] 
**notePublic** | **String** |  | [optional] 
**noteInternal** | **String** |  | [optional] 
**totalAmount** | **num** |  | [optional] 
**totalAmountPaid** | **num** |  | [optional] 
**totalAmountPaidInConnector** | **num** |  | [optional] 
**totalAmountPaidManually** | **num** |  | [optional] 
**totalAmountPaidByAutoPay** | **num** |  | [optional] 
**remainingUnpaidAmount** | **num** |  | [optional] 
**totalAmountPaidOnAdvances** | **num** |  | [optional] 
**totalBaseAmount** | **num** |  | [optional] 
**totalVatAmount** | **num** |  | [optional] 
**paymentType** | **String** |  | [optional] 
**bankPaymentVS** | **String** |  | [optional] 
**bankPaymentKS** | **String** |  | [optional] 
**bankPaymentSS** | **String** |  | [optional] 
**formalCreatedDate** | [**DateTime**](DateTime.md) |  | 
**formalPaymentDueDate** | [**DateTime**](DateTime.md) |  | [optional] 
**formalChargeableEventDate** | [**DateTime**](DateTime.md) |  | [optional] 
**formalPaymentDate** | [**DateTime**](DateTime.md) |  | [optional] 
**accountedForDate** | [**DateTime**](DateTime.md) |  | [optional] 
**documentCurrency** | **String** |  | [optional] 
**targetCurrency** | **String** |  | [optional] 
**currencyConversionRate** | **num** |  | [optional] 
**currencyConversionRateRecordedDate** | [**DateTime**](DateTime.md) |  | [optional] 
**currencyConversionType** | **String** |  | [optional] 
**createdAt** | [**DateTime**](DateTime.md) |  | [optional] 
**createdById** | **int** |  | [optional] 
**createdByName** | **String** |  | [optional] 
**lastModifiedAt** | [**DateTime**](DateTime.md) |  | [optional] 
**lastModifiedById** | **int** |  | [optional] 
**lastModifiedByName** | **String** |  | [optional] 
**version** | **int** |  | [optional] 
**isSyncLocked** | **bool** |  | [optional] 
**lockBatchId** | **String** |  | [optional] 
**lockStatus** | **String** |  | [optional] 
**globalVatType** | **String** |  | [optional] 
**globalCategory** | **int** |  | [optional] 
**globalDeliveryId** | **int** |  | [optional] 
**globalPeriodFrom** | [**DateTime**](DateTime.md) |  | [optional] 
**globalPeriodTo** | [**DateTime**](DateTime.md) |  | [optional] 
**settlementId** | **int** |  | [optional] 
**settlementName** | **String** |  | [optional] 
**prescriptionId** | **int** |  | [optional] 
**prescriptionName** | **String** |  | [optional] 
**revenueId** | **int** |  | [optional] 
**revenueName** | **String** |  | [optional] 
**homeAccountId** | **int** |  | [optional] 
**userEditable** | **bool** |  | [optional] 
**isAccountableInAbra** | **bool** |  | [optional] 
**isDisplayable** | **bool** |  | [optional] 
**isDeletable** | **bool** |  | [optional] 
**isDocumentWithoutItems** | **bool** |  | [optional] 
**transferOfTaxLiability** | **bool** |  | [optional] 
**addCorrelationItemForRoundToWholeNumber** | **bool** |  | [optional] 
**projectId** | **int** |  | [optional] 
**qrPaymentPNGBase64** | **String** |  | [optional] 
**transactionData** | [**AccountingDocumentTransactionData**](AccountingDocumentTransactionData.md) |  | [optional] 
**customer** | [**AccountingDocumentSubjectDTO**](AccountingDocumentSubjectDTO.md) |  | [optional] 
**supplier** | [**AccountingDocumentSubjectDTO**](AccountingDocumentSubjectDTO.md) |  | [optional] 
**items** | [**List<AccountingDocumentItemDTO>**](AccountingDocumentItemDTO.md) |  | [optional] [default to const []]
**linkedDocuments** | [**List<AccountingDocumentLinkDTO>**](AccountingDocumentLinkDTO.md) |  | [optional] [default to const []]
**linkedToDocuments** | [**List<AccountingDocumentLinkToDTO>**](AccountingDocumentLinkToDTO.md) |  | [optional] [default to const []]
**attachments** | [**List<AccountingDocumentAttachmentMobileDTO>**](AccountingDocumentAttachmentMobileDTO.md) |  | [optional] [default to const []]
**updateDate** | [**DateTime**](DateTime.md) |  | [optional] 
**paidOnAdvancesFromLinks** | **num** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


